STRUCT NULL_MUTE(3)

NAME
boost::interprocess::null_mutex_family

SYNOPSIS

// In header: <boost/interprocess/sync/mutex_family.hpp>
struct null_mutex_family {
  // types
  typedef boost::interprocess::null_mutex mutex_type;
  typedef boost::interprocess::null_mutex recursive_mutex_type;
};

DESCRIPTION

Describes interprocess_mutex family to use with Interprocess frameworks based on null operation synchronization objects.